Class: Aws::CloudFormation::Types::ListStackInstanceResourceDriftsInput
- Inherits:
-
Struct
- Object
- Struct
- Aws::CloudFormation::Types::ListStackInstanceResourceDriftsInput
- Defined in:
- gems/aws-sdk-cloudformation/lib/aws-sdk-cloudformation/types.rb
Overview
Constant Summary collapse
- SENSITIVE =
[]
Instance Attribute Summary collapse
-
#call_as ⇒ String
[Service-managed permissions] Specifies whether you are acting as an account administrator in the organization's management account or as a delegated administrator in a member account.
-
#max_results ⇒ Integer
The maximum number of results to be returned with a single call.
-
#next_token ⇒ String
The token for the next set of items to return.
-
#operation_id ⇒ String
The unique ID of the drift operation.
-
#stack_instance_account ⇒ String
The name of the Amazon Web Services account that you want to list resource drifts for.
-
#stack_instance_region ⇒ String
The name of the Region where you want to list resource drifts.
-
#stack_instance_resource_drift_statuses ⇒ Array<String>
The resource drift status of the stack instance.
-
#stack_set_name ⇒ String
The name or unique ID of the StackSet that you want to list drifted resources for.
Instance Attribute Details
#call_as ⇒ String
[Service-managed permissions] Specifies whether you are acting as an account administrator in the organization's management account or as a delegated administrator in a member account.
By default, SELF is specified. Use SELF for StackSets with
self-managed permissions.
If you are signed in to the management account, specify
SELF.If you are signed in to a delegated administrator account, specify
DELEGATED_ADMIN.Your Amazon Web Services account must be registered as a delegated administrator in the management account. For more information, see Register a delegated administrator in the CloudFormation User Guide.
5642 5643 5644 5645 5646 5647 5648 5649 5650 5651 5652 5653 |
# File 'gems/aws-sdk-cloudformation/lib/aws-sdk-cloudformation/types.rb', line 5642 class ListStackInstanceResourceDriftsInput < Struct.new( :stack_set_name, :next_token, :max_results, :stack_instance_resource_drift_statuses, :stack_instance_account, :stack_instance_region, :operation_id, :call_as) SENSITIVE = [] include Aws::Structure end |
#max_results ⇒ Integer
The maximum number of results to be returned with a single call. If
the number of available results exceeds this maximum, the response
includes a NextToken value that you can assign to the NextToken
request parameter to get the next set of results.
5642 5643 5644 5645 5646 5647 5648 5649 5650 5651 5652 5653 |
# File 'gems/aws-sdk-cloudformation/lib/aws-sdk-cloudformation/types.rb', line 5642 class ListStackInstanceResourceDriftsInput < Struct.new( :stack_set_name, :next_token, :max_results, :stack_instance_resource_drift_statuses, :stack_instance_account, :stack_instance_region, :operation_id, :call_as) SENSITIVE = [] include Aws::Structure end |
#next_token ⇒ String
The token for the next set of items to return. (You received this token from a previous call.)
5642 5643 5644 5645 5646 5647 5648 5649 5650 5651 5652 5653 |
# File 'gems/aws-sdk-cloudformation/lib/aws-sdk-cloudformation/types.rb', line 5642 class ListStackInstanceResourceDriftsInput < Struct.new( :stack_set_name, :next_token, :max_results, :stack_instance_resource_drift_statuses, :stack_instance_account, :stack_instance_region, :operation_id, :call_as) SENSITIVE = [] include Aws::Structure end |
#operation_id ⇒ String
The unique ID of the drift operation.
5642 5643 5644 5645 5646 5647 5648 5649 5650 5651 5652 5653 |
# File 'gems/aws-sdk-cloudformation/lib/aws-sdk-cloudformation/types.rb', line 5642 class ListStackInstanceResourceDriftsInput < Struct.new( :stack_set_name, :next_token, :max_results, :stack_instance_resource_drift_statuses, :stack_instance_account, :stack_instance_region, :operation_id, :call_as) SENSITIVE = [] include Aws::Structure end |
#stack_instance_account ⇒ String
The name of the Amazon Web Services account that you want to list resource drifts for.
5642 5643 5644 5645 5646 5647 5648 5649 5650 5651 5652 5653 |
# File 'gems/aws-sdk-cloudformation/lib/aws-sdk-cloudformation/types.rb', line 5642 class ListStackInstanceResourceDriftsInput < Struct.new( :stack_set_name, :next_token, :max_results, :stack_instance_resource_drift_statuses, :stack_instance_account, :stack_instance_region, :operation_id, :call_as) SENSITIVE = [] include Aws::Structure end |
#stack_instance_region ⇒ String
The name of the Region where you want to list resource drifts.
5642 5643 5644 5645 5646 5647 5648 5649 5650 5651 5652 5653 |
# File 'gems/aws-sdk-cloudformation/lib/aws-sdk-cloudformation/types.rb', line 5642 class ListStackInstanceResourceDriftsInput < Struct.new( :stack_set_name, :next_token, :max_results, :stack_instance_resource_drift_statuses, :stack_instance_account, :stack_instance_region, :operation_id, :call_as) SENSITIVE = [] include Aws::Structure end |
#stack_instance_resource_drift_statuses ⇒ Array<String>
The resource drift status of the stack instance.
DELETED: The resource differs from its expected template configuration in that the resource has been deleted.MODIFIED: One or more resource properties differ from their expected template values.IN_SYNC: The resource's actual configuration matches its expected template configuration.NOT_CHECKED: CloudFormation doesn't currently return this value.
5642 5643 5644 5645 5646 5647 5648 5649 5650 5651 5652 5653 |
# File 'gems/aws-sdk-cloudformation/lib/aws-sdk-cloudformation/types.rb', line 5642 class ListStackInstanceResourceDriftsInput < Struct.new( :stack_set_name, :next_token, :max_results, :stack_instance_resource_drift_statuses, :stack_instance_account, :stack_instance_region, :operation_id, :call_as) SENSITIVE = [] include Aws::Structure end |
#stack_set_name ⇒ String
The name or unique ID of the StackSet that you want to list drifted resources for.
5642 5643 5644 5645 5646 5647 5648 5649 5650 5651 5652 5653 |
# File 'gems/aws-sdk-cloudformation/lib/aws-sdk-cloudformation/types.rb', line 5642 class ListStackInstanceResourceDriftsInput < Struct.new( :stack_set_name, :next_token, :max_results, :stack_instance_resource_drift_statuses, :stack_instance_account, :stack_instance_region, :operation_id, :call_as) SENSITIVE = [] include Aws::Structure end |